package ability571

import (
	"errors"
	"topsdk"
	"topsdk/ability571/request"
	"topsdk/ability571/response"
	"topsdk/util"
)

type Ability571 struct {
	Client *topsdk.TopClient
}

func NewAbility571(client *topsdk.TopClient) *Ability571 {
	return &Ability571{client}
}

/*
数据关联关系查询
*/
func (ability *Ability571) AlibabaWdkMarketingOpenDataRelationQuery(req *request.AlibabaWdkMarketingOpenDataRelationQueryRequest, session string) (*response.AlibabaWdkMarketingOpenDataRelationQueryResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.open.data.relation.query", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingOpenDataRelationQueryResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingOpenDataRelationQuery error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
版本数量查询
*/
func (ability *Ability571) AlibabaWdkMarketingOpenVersionCount(req *request.AlibabaWdkMarketingOpenVersionCountRequest, session string) (*response.AlibabaWdkMarketingOpenVersionCountResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.open.version.count", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingOpenVersionCountResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingOpenVersionCount error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
数据同步版本号申请
*/
func (ability *Ability571) AlibabaWdkMarketingOpenVersionApply(req *request.AlibabaWdkMarketingOpenVersionApplyRequest, session string) (*response.AlibabaWdkMarketingOpenVersionApplyResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.open.version.apply", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingOpenVersionApplyResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingOpenVersionApply error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
营销商品数据同步
*/
func (ability *Ability571) AlibabaWdkMarketingOpenDarunfaActivitySkuSync(req *request.AlibabaWdkMarketingOpenDarunfaActivitySkuSyncRequest, session string) (*response.AlibabaWdkMarketingOpenDarunfaActivitySkuSyncResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.open.darunfa.activity.sku.sync", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingOpenDarunfaActivitySkuSyncResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingOpenDarunfaActivitySkuSync error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
活动数据同步
*/
func (ability *Ability571) AlibabaWdkMarketingOpenDarunfaActivitySync(req *request.AlibabaWdkMarketingOpenDarunfaActivitySyncRequest, session string) (*response.AlibabaWdkMarketingOpenDarunfaActivitySyncResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.open.darunfa.activity.sync", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingOpenDarunfaActivitySyncResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingOpenDarunfaActivitySync error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
查询商品池活动下的商品
*/
func (ability *Ability571) AlibabaWdkMarketingItempoolQueryitems(req *request.AlibabaWdkMarketingItempoolQueryitemsRequest, session string) (*response.AlibabaWdkMarketingItempoolQueryitemsResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itempool.queryitems", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItempoolQueryitemsResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItempoolQueryitems error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
pos一物一码创建
*/
func (ability *Ability571) AlibabaWdkMarketingOpenPosDiscountCodeCreate(req *request.AlibabaWdkMarketingOpenPosDiscountCodeCreateRequest, session string) (*response.AlibabaWdkMarketingOpenPosDiscountCodeCreateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.open.pos.discount.code.create", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingOpenPosDiscountCodeCreateResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingOpenPosDiscountCodeCreate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
废券
*/
func (ability *Ability571) AlibabaWdkCouponAbandon(req *request.AlibabaWdkCouponAbandonRequest, session string) (*response.AlibabaWdkCouponAbandonResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.coupon.abandon", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkCouponAbandonResponse{}
	if err != nil {
		// log.Println("alibabaWdkCouponAbandon error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
优惠券商品查询
*/
func (ability *Ability571) AlibabaWdkCouponSkuQuery(req *request.AlibabaWdkCouponSkuQueryRequest, session string) (*response.AlibabaWdkCouponSkuQueryResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.coupon.sku.query", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkCouponSkuQueryResponse{}
	if err != nil {
		// log.Println("alibabaWdkCouponSkuQuery error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
优惠券商品删除
*/
func (ability *Ability571) AlibabaWdkCouponSkuRemove(req *request.AlibabaWdkCouponSkuRemoveRequest, session string) (*response.AlibabaWdkCouponSkuRemoveResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.coupon.sku.remove", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkCouponSkuRemoveResponse{}
	if err != nil {
		// log.Println("alibabaWdkCouponSkuRemove error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
创建买赠活动
*/
func (ability *Ability571) AlibabaWdkMarketingItembuygiftCreateactivity(req *request.AlibabaWdkMarketingItembuygiftCreateactivityRequest, session string) (*response.AlibabaWdkMarketingItembuygiftCreateactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itembuygift.createactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItembuygiftCreateactivityResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItembuygiftCreateactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
优惠券模版查询
*/
func (ability *Ability571) AlibabaWdkCouponTemplateQuery(req *request.AlibabaWdkCouponTemplateQueryRequest, session string) (*response.AlibabaWdkCouponTemplateQueryResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.coupon.template.query", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkCouponTemplateQueryResponse{}
	if err != nil {
		// log.Println("alibabaWdkCouponTemplateQuery error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
查询买赠活动
*/
func (ability *Ability571) AlibabaWdkMarketingItembuygiftQueryactivity(req *request.AlibabaWdkMarketingItembuygiftQueryactivityRequest, session string) (*response.AlibabaWdkMarketingItembuygiftQueryactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itembuygift.queryactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItembuygiftQueryactivityResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItembuygiftQueryactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
优惠券模版终止
*/
func (ability *Ability571) AlibabaWdkCouponTemplateTerminate(req *request.AlibabaWdkCouponTemplateTerminateRequest, session string) (*response.AlibabaWdkCouponTemplateTerminateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.coupon.template.terminate", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkCouponTemplateTerminateResponse{}
	if err != nil {
		// log.Println("alibabaWdkCouponTemplateTerminate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
删除买赠活动
*/
func (ability *Ability571) AlibabaWdkMarketingItembuygiftDeleteactivity(req *request.AlibabaWdkMarketingItembuygiftDeleteactivityRequest, session string) (*response.AlibabaWdkMarketingItembuygiftDeleteactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itembuygift.deleteactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItembuygiftDeleteactivityResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItembuygiftDeleteactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
普通发券
*/
func (ability *Ability571) AlibabaWdkCouponSpreadApply(req *request.AlibabaWdkCouponSpreadApplyRequest, session string) (*response.AlibabaWdkCouponSpreadApplyResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.coupon.spread.apply", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkCouponSpreadApplyResponse{}
	if err != nil {
		// log.Println("alibabaWdkCouponSpreadApply error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
查找特价活动
*/
func (ability *Ability571) AlibabaWdkMarketingItemdiscountQueryactivity(req *request.AlibabaWdkMarketingItemdiscountQueryactivityRequest, session string) (*response.AlibabaWdkMarketingItemdiscountQueryactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itemdiscount.queryactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItemdiscountQueryactivityResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItemdiscountQueryactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
优惠券商品增加
*/
func (ability *Ability571) AlibabaWdkCouponSkuAdd(req *request.AlibabaWdkCouponSkuAddRequest, session string) (*response.AlibabaWdkCouponSkuAddResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.coupon.sku.add", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkCouponSkuAddResponse{}
	if err != nil {
		// log.Println("alibabaWdkCouponSkuAdd error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
移除商品池里面的商品
*/
func (ability *Ability571) AlibabaWdkMarketingItempoolRemoveitem(req *request.AlibabaWdkMarketingItempoolRemoveitemRequest, session string) (*response.AlibabaWdkMarketingItempoolRemoveitemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itempool.removeitem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItempoolRemoveitemResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItempoolRemoveitem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
优惠券模版创建
*/
func (ability *Ability571) AlibabaWdkCouponTemplateCreate(req *request.AlibabaWdkCouponTemplateCreateRequest, session string) (*response.AlibabaWdkCouponTemplateCreateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.coupon.template.create", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkCouponTemplateCreateResponse{}
	if err != nil {
		// log.Println("alibabaWdkCouponTemplateCreate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
增加商品池里面的商品
*/
func (ability *Ability571) AlibabaWdkMarketingItempoolAdditem(req *request.AlibabaWdkMarketingItempoolAdditemRequest, session string) (*response.AlibabaWdkMarketingItempoolAdditemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itempool.additem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItempoolAdditemResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItempoolAdditem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
删除商品池活动
*/
func (ability *Ability571) AlibabaWdkMarketingItempoolDeleteactivity(req *request.AlibabaWdkMarketingItempoolDeleteactivityRequest, session string) (*response.AlibabaWdkMarketingItempoolDeleteactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itempool.deleteactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItempoolDeleteactivityResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItempoolDeleteactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
查找商品池活动
*/
func (ability *Ability571) AlibabaWdkMarketingItempoolQueryactivity(req *request.AlibabaWdkMarketingItempoolQueryactivityRequest, session string) (*response.AlibabaWdkMarketingItempoolQueryactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itempool.queryactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItempoolQueryactivityResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItempoolQueryactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
添加商品池活动
*/
func (ability *Ability571) AlibabaWdkMarketingItempoolCreateactivity(req *request.AlibabaWdkMarketingItempoolCreateactivityRequest, session string) (*response.AlibabaWdkMarketingItempoolCreateactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itempool.createactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItempoolCreateactivityResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItempoolCreateactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
查询买赠活动下的商品
*/
func (ability *Ability571) AlibabaWdkMarketingItembuygiftQueryitems(req *request.AlibabaWdkMarketingItembuygiftQueryitemsRequest, session string) (*response.AlibabaWdkMarketingItembuygiftQueryitemsResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itembuygift.queryitems", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItembuygiftQueryitemsResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItembuygiftQueryitems error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
移除买赠活动下的商品。【注意，此接口暂不支持并发！】
*/
func (ability *Ability571) AlibabaWdkMarketingItembuygiftRemoveitem(req *request.AlibabaWdkMarketingItembuygiftRemoveitemRequest, session string) (*response.AlibabaWdkMarketingItembuygiftRemoveitemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itembuygift.removeitem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItembuygiftRemoveitemResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItembuygiftRemoveitem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
增加买赠活动商品。【注意，此接口暂不支持并发！】
*/
func (ability *Ability571) AlibabaWdkMarketingItembuygiftAdditem(req *request.AlibabaWdkMarketingItembuygiftAdditemRequest, session string) (*response.AlibabaWdkMarketingItembuygiftAdditemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itembuygift.additem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItembuygiftAdditemResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItembuygiftAdditem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
优惠券模版修改
*/
func (ability *Ability571) AlibabaWdkCouponTemplateUpdate(req *request.AlibabaWdkCouponTemplateUpdateRequest, session string) (*response.AlibabaWdkCouponTemplateUpdateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.coupon.template.update", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkCouponTemplateUpdateResponse{}
	if err != nil {
		// log.Println("alibabaWdkCouponTemplateUpdate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
全场活动删除购品
*/
func (ability *Ability571) AlibabaWdkMarketingFullrangeRemoveitem(req *request.AlibabaWdkMarketingFullrangeRemoveitemRequest, session string) (*response.AlibabaWdkMarketingFullrangeRemoveitemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.fullrange.removeitem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingFullrangeRemoveitemResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingFullrangeRemoveitem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
优惠券活动创建
*/
func (ability *Ability571) AlibabaWdkMarketingCouponCreateactivity(req *request.AlibabaWdkMarketingCouponCreateactivityRequest, session string) (*response.AlibabaWdkMarketingCouponCreateactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.coupon.createactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingCouponCreateactivityResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingCouponCreateactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
全场活动查询换购品
*/
func (ability *Ability571) AlibabaWdkMarketingFullrangeQueryitem(req *request.AlibabaWdkMarketingFullrangeQueryitemRequest, session string) (*response.AlibabaWdkMarketingFullrangeQueryitemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.fullrange.queryitem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingFullrangeQueryitemResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingFullrangeQueryitem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
全场活动查询活动
*/
func (ability *Ability571) AlibabaWdkMarketingFullrangeQueryactivity(req *request.AlibabaWdkMarketingFullrangeQueryactivityRequest, session string) (*response.AlibabaWdkMarketingFullrangeQueryactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.fullrange.queryactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingFullrangeQueryactivityResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingFullrangeQueryactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
全场活动删除活动接口
*/
func (ability *Ability571) AlibabaWdkMarketingFullrangeDeleteactivity(req *request.AlibabaWdkMarketingFullrangeDeleteactivityRequest, session string) (*response.AlibabaWdkMarketingFullrangeDeleteactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.fullrange.deleteactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingFullrangeDeleteactivityResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingFullrangeDeleteactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
创建全场活动
*/
func (ability *Ability571) AlibabaWdkMarketingFullrangeCreateactivity(req *request.AlibabaWdkMarketingFullrangeCreateactivityRequest, session string) (*response.AlibabaWdkMarketingFullrangeCreateactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.fullrange.createactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingFullrangeCreateactivityResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingFullrangeCreateactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
全场增加换购品
*/
func (ability *Ability571) AlibabaWdkMarketingFullrangeAddexchangeitem(req *request.AlibabaWdkMarketingFullrangeAddexchangeitemRequest, session string) (*response.AlibabaWdkMarketingFullrangeAddexchangeitemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.fullrange.addexchangeitem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingFullrangeAddexchangeitemResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingFullrangeAddexchangeitem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
提交版本号
*/
func (ability *Ability571) AlibabaWdkMarketingVersionCommit(req *request.AlibabaWdkMarketingVersionCommitRequest, session string) (*response.AlibabaWdkMarketingVersionCommitResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.version.commit", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingVersionCommitResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingVersionCommit error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
短保优惠删除
*/
func (ability *Ability571) AlibabaWdkMarketingExpirePromotionDelete(req *request.AlibabaWdkMarketingExpirePromotionDeleteRequest, session string) (*response.AlibabaWdkMarketingExpirePromotionDeleteResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.expire.promotion.delete", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingExpirePromotionDeleteResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingExpirePromotionDelete error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
短保优惠创建
*/
func (ability *Ability571) AlibabaWdkMarketingExpirePromotionCreate(req *request.AlibabaWdkMarketingExpirePromotionCreateRequest, session string) (*response.AlibabaWdkMarketingExpirePromotionCreateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.expire.promotion.create", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingExpirePromotionCreateResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingExpirePromotionCreate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
订单优惠账单查询
*/
func (ability *Ability571) AlibabaWdkTradeDiscountBillGet(req *request.AlibabaWdkTradeDiscountBillGetRequest, session string) (*response.AlibabaWdkTradeDiscountBillGetResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.trade.discount.bill.get", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkTradeDiscountBillGetResponse{}
	if err != nil {
		// log.Println("alibabaWdkTradeDiscountBillGet error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
短保优惠查询
*/
func (ability *Ability571) AlibabaWdkMarketingExpirePromotionQuery(req *request.AlibabaWdkMarketingExpirePromotionQueryRequest, session string) (*response.AlibabaWdkMarketingExpirePromotionQueryResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.expire.promotion.query", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingExpirePromotionQueryResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingExpirePromotionQuery error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
发放匿名码
*/
func (ability *Ability571) AlibabaWdkMarketingCouponSendma(req *request.AlibabaWdkMarketingCouponSendmaRequest, session string) (*response.AlibabaWdkMarketingCouponSendmaResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.coupon.sendma", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingCouponSendmaResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingCouponSendma error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
增加商品池里面的类目
*/
func (ability *Ability571) AlibabaWdkMarketingItempoolAddcategory(req *request.AlibabaWdkMarketingItempoolAddcategoryRequest, session string) (*response.AlibabaWdkMarketingItempoolAddcategoryResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itempool.addcategory", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItempoolAddcategoryResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItempoolAddcategory error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
商品池排除商品【品类优惠使用】
*/
func (ability *Ability571) AlibabaWdkMarketingItempoolExcludeskucode(req *request.AlibabaWdkMarketingItempoolExcludeskucodeRequest, session string) (*response.AlibabaWdkMarketingItempoolExcludeskucodeResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itempool.excludeskucode", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItempoolExcludeskucodeResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItempoolExcludeskucode error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
通过券模板查询券活动id接口
*/
func (ability *Ability571) AlibabaWdkCouponTemplateQueryumpactid(req *request.AlibabaWdkCouponTemplateQueryumpactidRequest, session string) (*response.AlibabaWdkCouponTemplateQueryumpactidResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.coupon.template.queryumpactid", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkCouponTemplateQueryumpactidResponse{}
	if err != nil {
		// log.Println("alibabaWdkCouponTemplateQueryumpactid error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
添加商品池活动
*/
func (ability *Ability571) AlibabaHmMarketingItempoolCreateactivity(req *request.AlibabaHmMarketingItempoolCreateactivityRequest, session string) (*response.AlibabaHmMarketingItempoolCreateactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itempool.createactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItempoolCreateactivityResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItempoolCreateactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
删除商品池活动
*/
func (ability *Ability571) AlibabaHmMarketingItempoolDeleteactivity(req *request.AlibabaHmMarketingItempoolDeleteactivityRequest, session string) (*response.AlibabaHmMarketingItempoolDeleteactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itempool.deleteactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItempoolDeleteactivityResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItempoolDeleteactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
创建活动新接口
*/
func (ability *Ability571) AlibabaHmMarketingItempoolActivityCreate(req *request.AlibabaHmMarketingItempoolActivityCreateRequest, session string) (*response.AlibabaHmMarketingItempoolActivityCreateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itempool.activity.create", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItempoolActivityCreateResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItempoolActivityCreate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
增加商品池里面的商品
*/
func (ability *Ability571) AlibabaHmMarketingItempoolAdditem(req *request.AlibabaHmMarketingItempoolAdditemRequest, session string) (*response.AlibabaHmMarketingItempoolAdditemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itempool.additem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItempoolAdditemResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItempoolAdditem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
查找商品池活动
*/
func (ability *Ability571) AlibabaHmMarketingItempoolQueryactivity(req *request.AlibabaHmMarketingItempoolQueryactivityRequest, session string) (*response.AlibabaHmMarketingItempoolQueryactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itempool.queryactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItempoolQueryactivityResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItempoolQueryactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
移除商品池里面的商品
*/
func (ability *Ability571) AlibabaHmMarketingItempoolRemoveitem(req *request.AlibabaHmMarketingItempoolRemoveitemRequest, session string) (*response.AlibabaHmMarketingItempoolRemoveitemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itempool.removeitem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItempoolRemoveitemResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItempoolRemoveitem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
查询商品池活动下面的商品
*/
func (ability *Ability571) AlibabaHmMarketingItempoolQueryitems(req *request.AlibabaHmMarketingItempoolQueryitemsRequest, session string) (*response.AlibabaHmMarketingItempoolQueryitemsResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itempool.queryitems", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItempoolQueryitemsResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItempoolQueryitems error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
全场活动删除购品
*/
func (ability *Ability571) AlibabaHmMarketingFullrangeRemoveitem(req *request.AlibabaHmMarketingFullrangeRemoveitemRequest, session string) (*response.AlibabaHmMarketingFullrangeRemoveitemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.fullrange.removeitem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingFullrangeRemoveitemResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingFullrangeRemoveitem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
创建商品特价活动
*/
func (ability *Ability571) AlibabaHmMarketingItemdiscountCreateactivity(req *request.AlibabaHmMarketingItemdiscountCreateactivityRequest, session string) (*response.AlibabaHmMarketingItemdiscountCreateactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itemdiscount.createactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItemdiscountCreateactivityResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItemdiscountCreateactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
查询优惠券活动下的商品
*/
func (ability *Ability571) AlibabaHmMarketingCouponQueryitems(req *request.AlibabaHmMarketingCouponQueryitemsRequest, session string) (*response.AlibabaHmMarketingCouponQueryitemsResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.coupon.queryitems", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingCouponQueryitemsResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingCouponQueryitems error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
全场增加换购品
*/
func (ability *Ability571) AlibabaHmMarketingFullrangeAddexchangeitem(req *request.AlibabaHmMarketingFullrangeAddexchangeitemRequest, session string) (*response.AlibabaHmMarketingFullrangeAddexchangeitemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.fullrange.addexchangeitem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingFullrangeAddexchangeitemResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingFullrangeAddexchangeitem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
删除商品特价活动
*/
func (ability *Ability571) AlibabaHmMarketingItemdiscountDeleteactivity(req *request.AlibabaHmMarketingItemdiscountDeleteactivityRequest, session string) (*response.AlibabaHmMarketingItemdiscountDeleteactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itemdiscount.deleteactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItemdiscountDeleteactivityResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItemdiscountDeleteactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
查找特价活动
*/
func (ability *Ability571) AlibabaHmMarketingItemdiscountQueryactivity(req *request.AlibabaHmMarketingItemdiscountQueryactivityRequest, session string) (*response.AlibabaHmMarketingItemdiscountQueryactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itemdiscount.queryactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItemdiscountQueryactivityResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItemdiscountQueryactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
移除报名的商品
*/
func (ability *Ability571) AlibabaHmMarketingItemdiscountRemoveitem(req *request.AlibabaHmMarketingItemdiscountRemoveitemRequest, session string) (*response.AlibabaHmMarketingItemdiscountRemoveitemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itemdiscount.removeitem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItemdiscountRemoveitemResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItemdiscountRemoveitem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
报名特价商品
*/
func (ability *Ability571) AlibabaHmMarketingItemdiscountAdditem(req *request.AlibabaHmMarketingItemdiscountAdditemRequest, session string) (*response.AlibabaHmMarketingItemdiscountAdditemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itemdiscount.additem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItemdiscountAdditemResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItemdiscountAdditem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
查询特价商品
*/
func (ability *Ability571) AlibabaHmMarketingItemdiscountQueryitems(req *request.AlibabaHmMarketingItemdiscountQueryitemsRequest, session string) (*response.AlibabaHmMarketingItemdiscountQueryitemsResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itemdiscount.queryitems", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItemdiscountQueryitemsResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItemdiscountQueryitems error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
批量删除买赠商品
*/
func (ability *Ability571) AlibabaHmMarketingBuygiftItemRemoveAsync(req *request.AlibabaHmMarketingBuygiftItemRemoveAsyncRequest, session string) (*response.AlibabaHmMarketingBuygiftItemRemoveAsyncResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.buygift.item.remove.async", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingBuygiftItemRemoveAsyncResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingBuygiftItemRemoveAsync error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
批量发布买赠商品
*/
func (ability *Ability571) AlibabaHmMarketingBuygiftItemAddAsync(req *request.AlibabaHmMarketingBuygiftItemAddAsyncRequest, session string) (*response.AlibabaHmMarketingBuygiftItemAddAsyncResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.buygift.item.add.async", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingBuygiftItemAddAsyncResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingBuygiftItemAddAsync error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
结束优惠券活动
*/
func (ability *Ability571) AlibabaHmMarketingCouponEndactivity(req *request.AlibabaHmMarketingCouponEndactivityRequest, session string) (*response.AlibabaHmMarketingCouponEndactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.coupon.endactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingCouponEndactivityResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingCouponEndactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
优惠券活动创建
*/
func (ability *Ability571) AlibabaHmMarketingCouponCreateactivity(req *request.AlibabaHmMarketingCouponCreateactivityRequest, session string) (*response.AlibabaHmMarketingCouponCreateactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.coupon.createactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingCouponCreateactivityResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingCouponCreateactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
特价批量新增商品
*/
func (ability *Ability571) AlibabaHmMarketingDiscountItemAddAsync(req *request.AlibabaHmMarketingDiscountItemAddAsyncRequest, session string) (*response.AlibabaHmMarketingDiscountItemAddAsyncResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.discount.item.add.async", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingDiscountItemAddAsyncResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingDiscountItemAddAsync error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
发放匿名码
*/
func (ability *Ability571) AlibabaHmMarketingCouponSendma(req *request.AlibabaHmMarketingCouponSendmaRequest, session string) (*response.AlibabaHmMarketingCouponSendmaResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.coupon.sendma", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingCouponSendmaResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingCouponSendma error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
短保优惠查询
*/
func (ability *Ability571) AlibabaHmMarketingExpirePromotionQuery(req *request.AlibabaHmMarketingExpirePromotionQueryRequest, session string) (*response.AlibabaHmMarketingExpirePromotionQueryResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.expire.promotion.query", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingExpirePromotionQueryResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingExpirePromotionQuery error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
特价批量移除商品
*/
func (ability *Ability571) AlibabaHmMarketingDiscountItemRemoveAsync(req *request.AlibabaHmMarketingDiscountItemRemoveAsyncRequest, session string) (*response.AlibabaHmMarketingDiscountItemRemoveAsyncResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.discount.item.remove.async", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingDiscountItemRemoveAsyncResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingDiscountItemRemoveAsync error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
全场活动删除活动接口
*/
func (ability *Ability571) AlibabaHmMarketingFullrangeDeleteactivity(req *request.AlibabaHmMarketingFullrangeDeleteactivityRequest, session string) (*response.AlibabaHmMarketingFullrangeDeleteactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.fullrange.deleteactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingFullrangeDeleteactivityResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingFullrangeDeleteactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
创建全场活动
*/
func (ability *Ability571) AlibabaHmMarketingFullrangeCreateactivity(req *request.AlibabaHmMarketingFullrangeCreateactivityRequest, session string) (*response.AlibabaHmMarketingFullrangeCreateactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.fullrange.createactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingFullrangeCreateactivityResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingFullrangeCreateactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
删除买赠活动
*/
func (ability *Ability571) AlibabaHmMarketingItembuygiftDeleteactivity(req *request.AlibabaHmMarketingItembuygiftDeleteactivityRequest, session string) (*response.AlibabaHmMarketingItembuygiftDeleteactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itembuygift.deleteactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItembuygiftDeleteactivityResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItembuygiftDeleteactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
全场活动查询换购品
*/
func (ability *Ability571) AlibabaHmMarketingFullrangeQueryitem(req *request.AlibabaHmMarketingFullrangeQueryitemRequest, session string) (*response.AlibabaHmMarketingFullrangeQueryitemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.fullrange.queryitem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingFullrangeQueryitemResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingFullrangeQueryitem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
查询买赠活动下的商品
*/
func (ability *Ability571) AlibabaHmMarketingItembuygiftQueryitems(req *request.AlibabaHmMarketingItembuygiftQueryitemsRequest, session string) (*response.AlibabaHmMarketingItembuygiftQueryitemsResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itembuygift.queryitems", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItembuygiftQueryitemsResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItembuygiftQueryitems error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
查询买赠活动
*/
func (ability *Ability571) AlibabaHmMarketingItembuygiftQueryactivity(req *request.AlibabaHmMarketingItembuygiftQueryactivityRequest, session string) (*response.AlibabaHmMarketingItembuygiftQueryactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itembuygift.queryactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItembuygiftQueryactivityResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItembuygiftQueryactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
商品池排除商品【品类优惠使用】
*/
func (ability *Ability571) AlibabaHmMarketingItempoolExcludeskucode(req *request.AlibabaHmMarketingItempoolExcludeskucodeRequest, session string) (*response.AlibabaHmMarketingItempoolExcludeskucodeResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itempool.excludeskucode", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItempoolExcludeskucodeResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItempoolExcludeskucode error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
增加商品池里面的类目
*/
func (ability *Ability571) AlibabaHmMarketingItempoolAddcategory(req *request.AlibabaHmMarketingItempoolAddcategoryRequest, session string) (*response.AlibabaHmMarketingItempoolAddcategoryResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itempool.addcategory", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItempoolAddcategoryResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItempoolAddcategory error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
商品池删除商品
*/
func (ability *Ability571) AlibabaHmMarketingItempoolItemRemoveAsync(req *request.AlibabaHmMarketingItempoolItemRemoveAsyncRequest, session string) (*response.AlibabaHmMarketingItempoolItemRemoveAsyncResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itempool.item.remove.async", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItempoolItemRemoveAsyncResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItempoolItemRemoveAsync error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
商品池新增商品
*/
func (ability *Ability571) AlibabaHmMarketingItempoolItemAddAsync(req *request.AlibabaHmMarketingItempoolItemAddAsyncRequest, session string) (*response.AlibabaHmMarketingItempoolItemAddAsyncResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itempool.item.add.async", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItempoolItemAddAsyncResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItempoolItemAddAsync error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
创建商品特价活动
*/
func (ability *Ability571) AlibabaWdkMarketingItemdiscountCreateactivity(req *request.AlibabaWdkMarketingItemdiscountCreateactivityRequest, session string) (*response.AlibabaWdkMarketingItemdiscountCreateactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itemdiscount.createactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItemdiscountCreateactivityResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItemdiscountCreateactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
换购商品查询
*/
func (ability *Ability571) AlibabaHmMarketingItempoolStairQueryitem(req *request.AlibabaHmMarketingItempoolStairQueryitemRequest, session string) (*response.AlibabaHmMarketingItempoolStairQueryitemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itempool.stair.queryitem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItempoolStairQueryitemResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItempoolStairQueryitem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
查询优惠券活动下的商品
*/
func (ability *Ability571) AlibabaWdkMarketingCouponQueryitems(req *request.AlibabaWdkMarketingCouponQueryitemsRequest, session string) (*response.AlibabaWdkMarketingCouponQueryitemsResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.coupon.queryitems", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingCouponQueryitemsResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingCouponQueryitems error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
商品池阶梯商品添加
*/
func (ability *Ability571) AlibabaHmMarketingItempoolStairAdditem(req *request.AlibabaHmMarketingItempoolStairAdditemRequest, session string) (*response.AlibabaHmMarketingItempoolStairAdditemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itempool.stair.additem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItempoolStairAdditemResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItempoolStairAdditem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
提交版本号
*/
func (ability *Ability571) AlibabaHmMarketingVersionCommit(req *request.AlibabaHmMarketingVersionCommitRequest, session string) (*response.AlibabaHmMarketingVersionCommitResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.version.commit", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingVersionCommitResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingVersionCommit error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
结束优惠券活动
*/
func (ability *Ability571) AlibabaWdkMarketingCouponEndactivity(req *request.AlibabaWdkMarketingCouponEndactivityRequest, session string) (*response.AlibabaWdkMarketingCouponEndactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.coupon.endactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingCouponEndactivityResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingCouponEndactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
删除换购活动商品
*/
func (ability *Ability571) AlibabaHmMarketingItempoolStairRemoveitem(req *request.AlibabaHmMarketingItempoolStairRemoveitemRequest, session string) (*response.AlibabaHmMarketingItempoolStairRemoveitemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itempool.stair.removeitem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItempoolStairRemoveitemResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItempoolStairRemoveitem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
创建买赠活动
*/
func (ability *Ability571) AlibabaHmMarketingItembuygiftCreateactivity(req *request.AlibabaHmMarketingItembuygiftCreateactivityRequest, session string) (*response.AlibabaHmMarketingItembuygiftCreateactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itembuygift.createactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItembuygiftCreateactivityResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItembuygiftCreateactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
生成发布使用的版本号
*/
func (ability *Ability571) AlibabaHmMarketingVersionGenerate(req *request.AlibabaHmMarketingVersionGenerateRequest, session string) (*response.AlibabaHmMarketingVersionGenerateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.version.generate", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingVersionGenerateResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingVersionGenerate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
短保优惠创建
*/
func (ability *Ability571) AlibabaHmMarketingExpirePromotionCreate(req *request.AlibabaHmMarketingExpirePromotionCreateRequest, session string) (*response.AlibabaHmMarketingExpirePromotionCreateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.expire.promotion.create", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingExpirePromotionCreateResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingExpirePromotionCreate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
全场活动查询活动
*/
func (ability *Ability571) AlibabaHmMarketingFullrangeQueryactivity(req *request.AlibabaHmMarketingFullrangeQueryactivityRequest, session string) (*response.AlibabaHmMarketingFullrangeQueryactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.fullrange.queryactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingFullrangeQueryactivityResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingFullrangeQueryactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
增加买赠活动商品。【注意，此接口暂不支持并发！】
*/
func (ability *Ability571) AlibabaHmMarketingItembuygiftAdditem(req *request.AlibabaHmMarketingItembuygiftAdditemRequest, session string) (*response.AlibabaHmMarketingItembuygiftAdditemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itembuygift.additem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItembuygiftAdditemResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItembuygiftAdditem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
短保优惠删除
*/
func (ability *Ability571) AlibabaHmMarketingExpirePromotionDelete(req *request.AlibabaHmMarketingExpirePromotionDeleteRequest, session string) (*response.AlibabaHmMarketingExpirePromotionDeleteResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.expire.promotion.delete", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingExpirePromotionDeleteResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingExpirePromotionDelete error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
删除商品特价活动
*/
func (ability *Ability571) AlibabaWdkMarketingItemdiscountDeleteactivity(req *request.AlibabaWdkMarketingItemdiscountDeleteactivityRequest, session string) (*response.AlibabaWdkMarketingItemdiscountDeleteactivityResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itemdiscount.deleteactivity", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItemdiscountDeleteactivityResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItemdiscountDeleteactivity error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
移除买赠活动下的商品。【注意，此接口暂不支持并发！】
*/
func (ability *Ability571) AlibabaHmMarketingItembuygiftRemoveitem(req *request.AlibabaHmMarketingItembuygiftRemoveitemRequest, session string) (*response.AlibabaHmMarketingItembuygiftRemoveitemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.hm.marketing.itembuygift.removeitem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaHmMarketingItembuygiftRemoveitemResponse{}
	if err != nil {
		// log.Println("alibabaHmMarketingItembuygiftRemoveitem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
查询特价商品
*/
func (ability *Ability571) AlibabaWdkMarketingItemdiscountQueryitems(req *request.AlibabaWdkMarketingItemdiscountQueryitemsRequest, session string) (*response.AlibabaWdkMarketingItemdiscountQueryitemsResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itemdiscount.queryitems", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItemdiscountQueryitemsResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItemdiscountQueryitems error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
生成发布使用的版本号
*/
func (ability *Ability571) AlibabaWdkMarketingVersionGenerate(req *request.AlibabaWdkMarketingVersionGenerateRequest, session string) (*response.AlibabaWdkMarketingVersionGenerateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.version.generate", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingVersionGenerateResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingVersionGenerate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
创建活动新接口
*/
func (ability *Ability571) AlibabaWdkMarketingItempoolActivityCreate(req *request.AlibabaWdkMarketingItempoolActivityCreateRequest, session string) (*response.AlibabaWdkMarketingItempoolActivityCreateResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itempool.activity.create", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItempoolActivityCreateResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItempoolActivityCreate error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
商品池新增商品
*/
func (ability *Ability571) AlibabaWdkMarketingItempoolItemAddAsync(req *request.AlibabaWdkMarketingItempoolItemAddAsyncRequest, session string) (*response.AlibabaWdkMarketingItempoolItemAddAsyncResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itempool.item.add.async", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItempoolItemAddAsyncResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItempoolItemAddAsync error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
商品池删除商品
*/
func (ability *Ability571) AlibabaWdkMarketingItempoolItemRemoveAsync(req *request.AlibabaWdkMarketingItempoolItemRemoveAsyncRequest, session string) (*response.AlibabaWdkMarketingItempoolItemRemoveAsyncResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itempool.item.remove.async", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItempoolItemRemoveAsyncResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItempoolItemRemoveAsync error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
特价批量新增商品
*/
func (ability *Ability571) AlibabaWdkMarketingDiscountItemAddAsync(req *request.AlibabaWdkMarketingDiscountItemAddAsyncRequest, session string) (*response.AlibabaWdkMarketingDiscountItemAddAsyncResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.discount.item.add.async", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingDiscountItemAddAsyncResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingDiscountItemAddAsync error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
特价批量移除商品
*/
func (ability *Ability571) AlibabaWdkMarketingDiscountItemRemoveAsync(req *request.AlibabaWdkMarketingDiscountItemRemoveAsyncRequest, session string) (*response.AlibabaWdkMarketingDiscountItemRemoveAsyncResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.discount.item.remove.async", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingDiscountItemRemoveAsyncResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingDiscountItemRemoveAsync error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
批量发布买赠商品
*/
func (ability *Ability571) AlibabaWdkMarketingBuygiftItemAddAsync(req *request.AlibabaWdkMarketingBuygiftItemAddAsyncRequest, session string) (*response.AlibabaWdkMarketingBuygiftItemAddAsyncResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.buygift.item.add.async", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingBuygiftItemAddAsyncResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingBuygiftItemAddAsync error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
批量删除买赠商品
*/
func (ability *Ability571) AlibabaWdkMarketingBuygiftItemRemoveAsync(req *request.AlibabaWdkMarketingBuygiftItemRemoveAsyncRequest, session string) (*response.AlibabaWdkMarketingBuygiftItemRemoveAsyncResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.buygift.item.remove.async", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingBuygiftItemRemoveAsyncResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingBuygiftItemRemoveAsync error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
心跳服务【10s一次】
*/
func (ability *Ability571) AlibabaWdkMarketingOpenHeartbeat(req *request.AlibabaWdkMarketingOpenHeartbeatRequest, session string) (*response.AlibabaWdkMarketingOpenHeartbeatResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.open.heartbeat", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingOpenHeartbeatResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingOpenHeartbeat error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
促销价签服务
*/
func (ability *Ability571) AlibabaWdkMarketingPrice(req *request.AlibabaWdkMarketingPriceRequest, session string) (*response.AlibabaWdkMarketingPriceResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.price", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingPriceResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingPrice error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
删除换购活动商品
*/
func (ability *Ability571) AlibabaWdkMarketingItempoolStairRemoveitem(req *request.AlibabaWdkMarketingItempoolStairRemoveitemRequest, session string) (*response.AlibabaWdkMarketingItempoolStairRemoveitemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itempool.stair.removeitem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItempoolStairRemoveitemResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItempoolStairRemoveitem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
商品池阶梯商品添加
*/
func (ability *Ability571) AlibabaWdkMarketingItempoolStairAdditem(req *request.AlibabaWdkMarketingItempoolStairAdditemRequest, session string) (*response.AlibabaWdkMarketingItempoolStairAdditemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itempool.stair.additem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItempoolStairAdditemResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItempoolStairAdditem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
换购商品查询
*/
func (ability *Ability571) AlibabaWdkMarketingItempoolStairQueryitem(req *request.AlibabaWdkMarketingItempoolStairQueryitemRequest, session string) (*response.AlibabaWdkMarketingItempoolStairQueryitemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itempool.stair.queryitem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItempoolStairQueryitemResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItempoolStairQueryitem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
移除报名的商品
*/
func (ability *Ability571) AlibabaWdkMarketingItemdiscountRemoveitem(req *request.AlibabaWdkMarketingItemdiscountRemoveitemRequest, session string) (*response.AlibabaWdkMarketingItemdiscountRemoveitemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itemdiscount.removeitem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItemdiscountRemoveitemResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItemdiscountRemoveitem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}

/*
报名特价商品
*/
func (ability *Ability571) AlibabaWdkMarketingItemdiscountAdditem(req *request.AlibabaWdkMarketingItemdiscountAdditemRequest, session string) (*response.AlibabaWdkMarketingItemdiscountAdditemResponse, error) {
	if ability.Client == nil {
		return nil, errors.New("Ability571 topClient is nil")
	}
	var jsonStr, err = ability.Client.ExecuteWithSession("alibaba.wdk.marketing.itemdiscount.additem", req.ToMap(), req.ToFileMap(), session)
	var respStruct = response.AlibabaWdkMarketingItemdiscountAdditemResponse{}
	if err != nil {
		// log.Println("alibabaWdkMarketingItemdiscountAdditem error", err)
		return &respStruct, err
	}
	err = util.HandleJsonResponse(jsonStr, &respStruct)
	if respStruct.Body == "" || len(respStruct.Body) == 0 {
		respStruct.Body = jsonStr
	}
	return &respStruct, err
}
